Bug Hunting Session
Bug 92732 - Writer crash after editing with index entry dialog
Summary: Writer crash after editing with index entry dialog
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.0.3 rc
Hardware: x86 (IA32) All
: highest critical
Assignee: Oliver Specht (CIB)
URL:
Whiteboard: target:5.1.0 target:5.0.3
Keywords: bibisectRequest
Depends on:
Blocks:
 
Reported: 2015-07-14 14:25 UTC by water.qian
Modified: 2016-10-25 19:20 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Java crash log (169.97 KB, text/x-log)
2015-07-30 14:44 UTC, Buovjaga
Details
hs_err_pid2675.log (143.74 KB, text/x-log)
2015-08-04 21:26 UTC, Julian Gutierrez
Details
Simple document with index to test bug (18.80 KB, application/vnd.oasis.opendocument.text)
2015-08-22 10:41 UTC, Jason
Details

Note You need to log in before you can comment on or make changes to this bug.
Description water.qian 2015-07-14 14:25:51 UTC
Writer crashes after using the "Edit index entry" dialog window

1. Start Writer.
2. Input some text.
3. Insert one index entry:
   select a word.
   select Insert > Index and tables > index entry.
   click insert
   click close
4. Right click on the just inserted index entry
   Select "Edit index entry..."
   Select OK or close or Delete.
   Writer has done the work with this dialog. but if you continue to work,
   click anywhere in the writer, and Writer crashes.

OS: Win7 32bit.
Version: 5.0.0.3
Comment 1 Buovjaga 2015-07-29 17:47:32 UTC
Repro.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+ (x64)
Build ID: e92a8b92072284fd7c37d7bb3e1e8fe72a185f35
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2015-07-22_21:46:26
Locale: fi-FI (fi_FI)
Comment 2 Robinson Tryon (qubit) 2015-07-30 14:27:51 UTC
TESTING on Ubuntu 14.04 with
Version: 5.1.0.0.alpha1+
Build ID: 85ce6a2446deb0f4c01604b6188f969603de9b16
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-07-09_02:29:43
Locale: en-US (en_US.UTF-8)

(In reply to water.qian from comment #0)
> Writer crashes after using the "Edit index entry" dialog window
> 
> 1. Start Writer.
> 2. Input some text.
> 3. Insert one index entry:
>    select a word.

I chose one of the middle words.

>    select Insert > Index and tables > index entry.
>    click insert
>    click close
> 4. Right click on the just inserted index entry
>    Select "Edit index entry..."
>    Select OK or close or Delete.
>    Writer has done the work with this dialog. but if you continue to work,
>    click anywhere in the writer, and Writer crashes.

CONFIRMED -- I had to click around a few times, but Writer then crashed.
Comment 3 Buovjaga 2015-07-30 14:44:26 UTC
Created attachment 117535 [details]
Java crash log

Confirmed with

Ubuntu 15.04 64-bit 
Version: 5.1.0.0.alpha1+
Build ID: 902255645328efde34ddf62227c8278e8dd61ff0
TinderBox: Linux-rpm_deb-x86_64@70-TDF-dbg, Branch:master, Time: 2015-07-30_03:52:32
Locale: en-US (en_US.UTF-8)
Comment 4 Julian Gutierrez 2015-08-04 21:26:00 UTC
Created attachment 117656 [details]
hs_err_pid2675.log

Error log
Comment 5 Julian Gutierrez 2015-08-04 21:26:50 UTC
CONFIRMED
Comment 6 Jason 2015-08-22 10:41:30 UTC
Created attachment 118086 [details]
Simple document with index to test bug

Also confirmed with release version 5.0.0.5 on Windows 7 and Windows 10. I've attached a simple test document. Right clicking on one of the index entries and editing it leads to crash after the dialogue box is closed. Works fine in 4.4.5
Comment 7 Per 2015-08-22 18:37:54 UTC
(In reply to Jason from comment #6)
> Created attachment 118086 [details]
> Simple document with index to test bug
> 
> Also confirmed with release version 5.0.0.5 on Windows 7 and Windows 10.
> I've attached a simple test document. Right clicking on one of the index
> entries and editing it leads to crash after the dialogue box is closed.
> Works fine in 4.4.5

Hi. I tried to confirm this on Win7 Swedish 64-bit, AMD hw and 64-bit LO 5.005, but unable to provoke crash. I tried both the file index.odt and one of my own creation. No crash. Rgds Per (tested OK also on Win7-64, LO 4.4.5 x86, similar hw)
Comment 8 Per 2015-08-22 19:03:10 UTC
(In reply to Per from comment #7)
> (In reply to Jason from comment #6)
> > Created attachment 118086 [details]
> > Simple document with index to test bug
> > 
> > Also confirmed with release version 5.0.0.5 on Windows 7 and Windows 10.
> > I've attached a simple test document. Right clicking on one of the index
> > entries and editing it leads to crash after the dialogue box is closed.
> > Works fine in 4.4.5
> 
> Hi. I tried to confirm this on Win7 Swedish 64-bit, AMD hw and 64-bit LO
> 5.005, but unable to provoke crash. I tried both the file index.odt and one
> of my own creation. No crash. Rgds Per (tested OK also on Win7-64, LO 4.4.5
> x86, similar hw)

Have to correct myself. Table of Content works, but Alphabetical index fail as reported, sorry, my mistake.
Comment 9 Commit Notification 2015-09-04 08:42:37 UTC
Oliver Specht committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=51ac2bf234a98d8f7629132b59f6961597ecea14

tdf#92732: fix vclptr lifecycle for index entry editing dialog

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2015-09-04 08:57:10 UTC
Oliver Specht committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9621bd268859c4810ddd3abd631f13c794e083c9&h=libreoffice-5-0

tdf#92732: fix vclptr lifecycle for index entry editing dialog

It will be available in 5.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Jason 2015-09-08 08:44:35 UTC
Just tested the daily build of 5.1 on a Windows VM and can confirm that index entry editing now works correctly in this build. Thanks!

Version: 5.1.0.0.alpha1+
Build ID: d417059dae303685de7aa0f4b1c192ffcf5304d5
TinderBox: Win-x86@39, Branch:master, Time: 2015-09-05_09:23:01
Locale: en-US (en_US)
Comment 12 Buovjaga 2015-09-08 09:19:21 UTC
Jason: thanks for verifying!
Comment 13 Robinson Tryon (qubit) 2015-12-17 09:25:48 UTC Comment hidden (obsolete)